Environments
============

OPF Task Driver
---------------

.. automodule:: nupic.frameworks.opf.opf_task_driver

.. autoclass:: nupic.frameworks.opf.opf_task_driver.OPFTaskDriver
   :members:

.. autoclass:: nupic.frameworks.opf.opf_task_driver.IterationPhaseSpecLearnOnly
   :members:

.. autoclass:: nupic.frameworks.opf.opf_task_driver.IterationPhaseSpecInferOnly
   :members:

.. autoclass:: nupic.frameworks.opf.opf_task_driver.IterationPhaseSpecLearnAndInfer
   :members:

OPF Environment
---------------

.. automodule:: nupic.frameworks.opf.opf_environment

.. autoclass:: nupic.frameworks.opf.opf_environment.PredictionLoggerIface
   :members:

OPF Basic Environment
---------------------

.. automodule:: nupic.frameworks.opf.opf_basic_environment

.. autoclass:: nupic.frameworks.opf.opf_basic_environment.PredictionMetricsLoggerIface
   :members:

.. autoclass:: nupic.frameworks.opf.opf_basic_environment.DatasetReaderIface
   :members:

.. autoclass:: nupic.frameworks.opf.opf_basic_environment.BasicPredictionMetricsLogger
   :members:
   :show-inheritance:

.. autoclass:: nupic.frameworks.opf.opf_basic_environment.BasicDatasetReader
   :members:
   :show-inheritance:

.. autoclass:: nupic.frameworks.opf.opf_basic_environment.NonTemporalPredictionLogAdapter
   :members:

.. autoclass:: nupic.frameworks.opf.opf_basic_environment.BasicPredictionLogger
   :members:
   :show-inheritance:

.. autoclass:: nupic.frameworks.opf.opf_basic_environment.NonTemporalPredictionLogAdapter
   :members:
